package com.landray.kmss.sys.attachment.borrow.dao.hibernate;

import java.util.Date;
import com.landray.kmss.util.UserUtil;
import com.landray.kmss.sys.attachment.borrow.model.SysAttBorrow;
import com.landray.kmss.common.model.IBaseModel;
import com.landray.kmss.sys.attachment.borrow.dao.ISysAttBorrowDao;
import com.landray.kmss.common.dao.BaseDaoImp;

public class SysAttBorrowDaoImp extends BaseDaoImp implements ISysAttBorrowDao
{
    public String add(final IBaseModel modelObj) throws Exception {
        final SysAttBorrow sysAttBorrow = (SysAttBorrow)modelObj;
        if (sysAttBorrow.getDocCreator() == null) {
            sysAttBorrow.setDocCreator(UserUtil.getUser());
        }
        if (sysAttBorrow.getDocCreateTime() == null) {
            sysAttBorrow.setDocCreateTime(new Date());
        }
        return super.add((IBaseModel)sysAttBorrow);
    }
}
